PHP Manual
Prev |  | Next

# ceil

(PHP 3, PHP 4, PHP 5)

ceil -- Round fractions up

## Description

float ceil ( float value )

Returns the next highest integer value by rounding up `value` if necessary.

## Parameters

`value`

  The value to round

## Return Values

`value` rounded up to the next highest integer. The return value of ceil() is still of type float as the value range of float is usually bigger than that of integer.

## Examples

Example 1. ceil() example

`<?php echo ceil(4.3); // 5 echo ceil(9.999); // 10 echo ceil(-3.14); // -3 ?>`

## See Also

floor()
round()

Prev | Home | Next
bindec | Up | cos